Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\API\Repository\Values\User\PasswordInfo Class Reference
Inheritance diagram for eZ\Publish\API\Repository\Values\User\PasswordInfo:

## Public Member Functions
| __construct (?DateTimeImmutable $expirationDate=null, ?DateTimeImmutable $expirationWarningDate=null)
| isPasswordExpired ()
| hasExpirationDate ()
| getExpirationDate ()
| hasExpirationWarningDate ()
| getExpirationWarningDate ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Private Attributes
| $expirationDate
| $expirationWarningDate

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 15 of file PasswordInfo.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\User\PasswordInfo::__construct | ( | ?DateTimeImmutable | $expirationDate = `null`,
|  | ?DateTimeImmutable | $expirationWarningDate = `null`
| ) |  |

Definition at line 23 of file PasswordInfo.php.

References eZ\Publish\API\Repository\Values\User\PasswordInfo\$expirationDate, and eZ\Publish\API\Repository\Values\User\PasswordInfo\$expirationWarningDate.

## Member Function Documentation

## ◆ getExpirationDate()

eZ\Publish\API\Repository\Values\User\PasswordInfo::getExpirationDate | ( |  | ) |

Definition at line 43 of file PasswordInfo.php.

References eZ\Publish\API\Repository\Values\User\PasswordInfo\$expirationDate.

## ◆ getExpirationWarningDate()

eZ\Publish\API\Repository\Values\User\PasswordInfo::getExpirationWarningDate | ( |  | ) |

Definition at line 53 of file PasswordInfo.php.

References eZ\Publish\API\Repository\Values\User\PasswordInfo\$expirationWarningDate.

## ◆ hasExpirationDate()

eZ\Publish\API\Repository\Values\User\PasswordInfo::hasExpirationDate | ( |  | ) |

Definition at line 38 of file PasswordInfo.php.

## ◆ hasExpirationWarningDate()

eZ\Publish\API\Repository\Values\User\PasswordInfo::hasExpirationWarningDate | ( |  | ) |

Definition at line 48 of file PasswordInfo.php.

## ◆ isPasswordExpired()

eZ\Publish\API\Repository\Values\User\PasswordInfo::isPasswordExpired | ( |  | ) |

Definition at line 29 of file PasswordInfo.php.

## Member Data Documentation

## ◆ $expirationDate

eZ\Publish\API\Repository\Values\User\PasswordInfo::$expirationDate
| private

Definition at line 18 of file PasswordInfo.php.

Referenced by eZ\Publish\API\Repository\Values\User\PasswordInfo\__construct(), and eZ\Publish\API\Repository\Values\User\PasswordInfo\getExpirationDate().

## ◆ $expirationWarningDate

eZ\Publish\API\Repository\Values\User\PasswordInfo::$expirationWarningDate
| private

Definition at line 21 of file PasswordInfo.php.

Referenced by eZ\Publish\API\Repository\Values\User\PasswordInfo\__construct(), and eZ\Publish\API\Repository\Values\User\PasswordInfo\getExpirationWarningDate().

The documentation for this class was generated from the following file:

- PasswordInfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.